# $Revision: 1.4 $, $Date: 2004/08/08 07:20:21 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	Password
Summary:	Data::Password - Perl extension for assesing password quality
Summary(pl):	Data::Password - rozszerzenie Perla zapewniajce odpowiedni jako hase
Name:		perl-%{pdir}-%{pnam}
Version:	1.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic	
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0fa2f19f5e4dbf3366396214a30ff634
URL:		http://search.cpan.org/dist/Data-Password/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This modules checks potential passwords for crackability. It checks
that the password is in the appropriate length, that it has enough
character groups, that it does not contain the same chars repeatedly
or ascending or descending characters, or charcters close to each
other in the keyboard. It will also attempt to search the ispell word
file for existance of whole words. The module's policies can be
modified by changing its variables. 

%description -l pl
Ten modu sprawdza potencjalne hasa pod ktem moliwoci ich
zamania. Sprawdza czy haso ma odpowiedni dugo, czy posiada
odpowiedni ilo grup znakw, czy nie zawiera tych samych znakw
powtarzajcych si rosnco lub malejco albo znakw umiejscowionych
blisko siebie na klawiaturze. Sprbuje take przeszuka sownik
ispella pod ktem istnienia caych sw. Polityka moduu moe by
modyfikowana za pomoc odpowiednich zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Password.spec,v $
Revision 1.4  2004/08/08 07:20:21  adamg
- updated to 1.05

Revision 1.3  2004/08/07 21:43:30  qboosh
- typos

Revision 1.2  2004/08/07 20:55:58  adamg
- fixed License
- added pl description
- disabled tests by default (they fail, dunno why)

Revision 1.1  2004/08/07 20:42:51  adamg
- new
